- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreShadowCaster.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreRenderable.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::ShadowRenderable
| Class which represents the renderable aspects of a set of shadow volume faces. More...
class | Ogre::ShadowCaster
| This class defines the interface that must be implemented by shadow casters. More...
## Enumerations
enum | Ogre::ShadowRenderableFlags { Ogre::SRF_INCLUDE_LIGHT_CAP = 0x00000001, Ogre::SRF_INCLUDE_DARK_CAP = 0x00000002, Ogre::SRF_EXTRUDE_TO_INFINITY = 0x00000004 }
| A set of flags that can be used to influence ShadowRenderable creation. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:59 2008